
#ifndef header_resourcedata_text_styler
#define header_resourcedata_text_styler

#if _MSC_VER > 1000
#pragma once
#endif

#include "API/Core/Resources/resourcedata.h"
#include "API/Core/Resources/resource.h"
#include "API/Display/text_styler.h"

class CL_ResourceData_TextStyler : public CL_ResourceData
{
//! Construction:
public:
	CL_ResourceData_TextStyler(CL_Resource &resource);
	
	virtual ~CL_ResourceData_TextStyler();
	
//! Attributes:
public:
	CL_TextStyler &get_text_styler() { return ts; }

//! Implementation:
private:
	void on_load();
	
	void on_unload();

	CL_TextStyler ts;
};

#endif
